
Foreman - Bug #964

Fact search autocomplete broken without quotes

06/07/2011 04:29 PM - Cody Robertson

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Search   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When searching for facts via the omni search up top it doesn't quote facts with spaces and thus won't find anything.

IE:

facts.adaptec_model = Adaptec 5405Z

 Will yield nothing while

 facts.adaptec_model = "Adaptec 5405Z"

 will yield the expected result.

The search should wrap facts with spaces in quotes.

Associated revisions

Revision d9f94b70 - 06/15/2011 05:34 AM - Amos Benari

fixes #965 and fixes #964

Signed-off-by: Amos Benari <abenari@redhat.com>

History

#1 - 06/12/2011 10:45 AM - Ohad Levy

- Assignee set to Amos Benari

- Target version set to 0.4

#2 - 06/15/2011 05:54 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d9f94b70678dd961ef5cabf15c2462e47c4d2cff.
